#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	deltarpm
Version		:	3.6.3
Release		:	14.4.0.0%{?dist}
Summary		:	Create deltas between rpms
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/rpm-software-management/deltarpm/tags
Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
Requires	:	rpm, zlib

Requires	:	python3
#-----------------------------------------------------------------------------
%description
A deltarpm contains the difference between an old
and a new version of a rpm, which makes it possible
to recreate the new rpm from the deltarpm and the old
one. You don't have to have a copy of the old rpm,
deltarpms can also work with installed rpms

#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make}							\
	%{_smp_mflags}						\
	prefix=%{_prefix}					\
	bindir=%{_bindir}					\
	libdir=%{_libdir}					\
	mandir=%{_mandir}					\
	zlibbundled=''						\
	zlibldflags='-lz'					\
	zlibcppflags=''						\
	
%{__make}							\
	%{_smp_mflags}						\
	prefix=%{_prefix}					\
	bindir=%{_bindir}					\
	libdir=%{_libdir}					\
	mandir=%{_mandir}					\
	zlibbundled=''						\
	zlibldflags='-lz'					\
	zlibcppflags=''						\
	python							\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	bindir=%{_bindir}					\
	mandir=%{_mandir}					\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.BSD
%doc NEWS README
%{_bindir}/applydelta{iso,rpm}
%{_bindir}/combinedeltarpm
%{_bindir}/drpmsync
%{_bindir}/fragiso
%{_bindir}/makedelta{iso,rpm}
%{_bindir}/rpmdumpheader
%{python3_sitelib}/%{name}.*
%{python3_sitelib}/_%{name}module.so
%{python3_sitelib}/__pycache__/*
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%changelog
